Subject: Re: net: prevent of emerging cross-namespace symlinks patches for 3.14?

From: Luis Henriques <[email-masked]>
Date: Fri, 23 Jan 2015 12:14:48 +0000

On Wed, Jan 14, 2015 at 10:45:19PM +0100, Miquel van Smoorenburg wrote:
> [first sent to lkml, now to netdev and the original patch author]
> 
> When running 'lxc' on the latest -stable kernel, 3.14.28, I'm seeing these
> errors:
> 
> Jan 14 17:47:16 lxc2 kernel: [   10.704890] WARNING: CPU: 0 PID: 3209 at
> fs/sys
> fs/dir.c:52 sysfs_warn_dup+0x8c/0xb0()
> Jan 14 17:47:16 lxc2 kernel: [   10.704892] sysfs: cannot create duplicate
> filename '/devices/virtual/net/eth0.104/upper_eth0'
> Jan 14 17:47:16 lxc2 kernel: [   10.704954] CPU: 0 PID: 3209 Comm:
> lxc-autostart Not tainted 3.14.28-xsserver #1
> 
> I did not see these errors in 3.12. This was fixed in 3.17 by:
> 
> net: prevent of emerging cross-namespace symlinks
> https://github.com/torvalds/linux/commit/4c75431ac3520631f1d9e74aa88407e6374dbbc4
> 
> net: fix creation adjacent device symlinks
> https://github.com/torvalds/linux/commit/7ce64c79c4decdeb1afe0bf2f6ef834b382871d1
> 
> These patches apply cleanly to 3.14.28.
> 
> If you agree that this should go into 3.14-stable, please ack.
> 

Thank you, I am queuing these 2 patches for the 3.16 kernel as well.

Cheers,
--
Luís

> Thanks,
> 
> Mike.
> --
> To unsubscribe from this list: send the line "unsubscribe stable" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html